// main.cpp

#include "mbed.h"
#include "assets/background_frame.h"
#include "render/loop.h"

#define TARGET_TX_PIN USBTX
#define TARGET_RX_PIN USBRX
#define BAUD_RATE 460800

BufferedSerial serial_port(TARGET_TX_PIN, TARGET_RX_PIN, BAUD_RATE);

FileHandle *mbed::mbed_override_console(int fd)
{
    return &serial_port;
}

DigitalOut led(LED1);

int main(void) {
    serial_port.set_format(8, BufferedSerial::None, 1);
    printf("Baud: %d, Format: 8-N-1\r\n", BAUD_RATE);

    render_loop(6);
}
